## usbmode 1.0-3

=== Makefile ===
all: libcpusbmode.so libusbmode-status-menu-item.so usbmode

install: all
	install -d "$(DESTDIR)/usr/bin/"
	install -d "$(DESTDIR)/usr/sbin/"
	install -d "$(DESTDIR)/etc/sudoers.d"
	install -d "$(DESTDIR)/usr/share/applications/hildon/"
	install -d "$(DESTDIR)/usr/share/applications/hildon-status-menu/"
	install -d "$(DESTDIR)/usr/share/applications/hildon-control-panel/"
	install -d "$(DESTDIR)/usr/lib/hildon-desktop/"
	install -d "$(DESTDIR)/usr/lib/hildon-control-panel/"
	install -m 755 usbmode "$(DESTDIR)/usr/bin/"
	install -m 755 usbmode.sh "$(DESTDIR)/usr/sbin/"
	install -m 644 usbmode.sudoers "$(DESTDIR)/etc/sudoers.d"
	install -m 644 usbmode.desktop "$(DESTDIR)/usr/share/applications/hildon/"
	install -m 644 usbmode-status-menu-item.desktop "$(DESTDIR)/usr/share/applications/hildon-status-menu/"
	install -m 644 cpusbmode.desktop "$(DESTDIR)/usr/share/applications/hildon-control-panel/"
	install -m 644 libusbmode-status-menu-item.so "$(DESTDIR)/usr/lib/hildon-desktop/"
	install -m 644 libcpusbmode.so "$(DESTDIR)/usr/lib/hildon-control-panel/"

uninstall:
	$(RM) "$(DESTDIR)/usr/bin/usbmode"
	$(RM) "$(DESTDIR)/usr/sbin/usbmode.sh"
	$(RM) "$(DESTDIR)/etc/sudoers.d/usbmode.sudoers"
	$(RM) "$(DESTDIR)/usr/share/applications/hildon/usbmode.desktop"
	$(RM) "$(DESTDIR)/usr/share/applications/hildon-status-menu/usbmode-status-menu-item.desktop"
	$(RM) "$(DESTDIR)/usr/share/applications/hildon-control-panel/cpusbmode.desktop"
	$(RM) "$(DESTDIR)/usr/lib/hildon-desktop/libusbmode-status-menu-item.so"
	$(RM) "$(DESTDIR)/usr/lib/hildon-control-panel/libcpusbmode.so"

clean:
	$(RM) libcpusbmode.so
	$(RM) libusbmode-status-menu-item.so
	$(RM) usbmode

libcpusbmode.so: cpusbmode.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs hildon-control-panel hildon-1 libosso) -W -Wall -O2 -shared $^ -o $@

libusbmode-status-menu-item.so: usbmode-status-menu-item.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs libhildondesktop-1 hildon-1) -W -Wall -O2 -shared $^ -o $@

usbmode: usbmode.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs hildon-1) -W -Wall -O2 $^ -o $@

.PHONY: all install uninstall clean

=== debian/changelog ===
usbmode (1.0-3) fremantle; urgency=low

  * Do not start bme if is not installed or new replacement version is installed
  * Do not use mce boost pattern if new replacement version of hald-addon-bme is installed
  * Depends on kernel-feature-* packages instead on kernel-power
  * Show current usb mode in status menu plugin
  * Pause udev when configuring usb host mode
  * Disable autosuspend of usb devices in usb host mode
  * Do not use lsusb (instead look to /sys/bus/usb/devices/)
  * Fixed usbmode.sh for better detection of usb host devices
  * Removed dependency on CSSU version of ke-recv
  * Fix setting portrait flag
  * In host mode with charging change charger mode to host, because charger autodetection must be disabled
  * Fixed switching from host mode with charging to host mode with boost

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 21 Dec 2012 14:03:22 +0100

usbmode (1.0-2) fremantle; urgency=low

  * If usb mass storage or pc suite mode is enabled, first kill maemo daemons
  * bq2415x_charger can export values to directory /sys/class/power_supply/bq24150a-0

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 13 Sep 2012 18:49:39 +0200

usbmode (1.0-1) fremantle; urgency=low

  * Initial Release.

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 21 Jul 2012 16:19:31 +0200

=== debian/control ===
Source: usbmode
Section: user/desktop
Priority: extra
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, libosso-dev,
 libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev
Standards-Version: 3.7.3

Package: usbmode
Architecture: any
Depends: kernel-feature-usbhost-new, kernel-feature-battery,
 kernel-feature-charger, mce, mceledpattern, sudo,
 ${shlibs:Depends}, ${misc:Depends}
Description: Switch between USB peripheral and USB host mode
 This package contains status menu plugin, control panel plugin,
 shell script and application in menu which easy switch between
 USB peripheral and USB host mode.
 .
 This program automatically detect speed of connected USB device
 and enable USB host mode with One Click.
 .
 This program depends on kernel which provide new host mode support,
 battery and charger kernel driver and last Community SSU update.
XSBC-Maemo-Display-Name: USB mode
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABIBJREFUeNpi/P//P8NQBkwM
 QxyMemDUA6MeGPXAqAcoAizoAoyMjDS10Kz9Pz+QSgBiASDecKqS8SKxerFV
 uozogrT0ANDx+kDqANTxMADiBwA98pEcD7DQ0LH+QMoATTgBzfEg4PDvz89i
 IF1HlSRExZBegMWxWMG/39+9gFQLEP8aLJmYaMcjAd5BEQPA0K9HTjp/f337
 +ev9/bcgNqe4thQ2PX9/fv4JpNgG3ANAx9sDqQZksYcbM7e8ObfoMoitlXUi
 gUfWXAFd39vzi64Aqc8DWg9Ai8cFyGKvzy44C3T8LCAThOfeWRa+4OOdPTdh
 8r+/vv78cHPezie7arYBud8HOgZAIQ8P3Z/vH7y5vyYR5PBjQPwFJPbrw8Pl
 N+e6gkJaHaoMxD4MLUr/DpgHoEVmAXK6f7ilYB2QuRnmeCi4BY0NWIYFOfoD
 OaUPUR5AK8ux1prYks6bs/OPf7i2cTGQ+RyLsV/QPIVsVjyo9ALaM5GiPABy
 FBDvBzkamjRA+AJQrJ9Qkfnl8ckHDzflzAUyz5Iamj/e3TMGUhNAdgOxPNke
 +Pf3VzOohsQiVQCNFTAwafqWBGoGICcdUEYFMneRkyn///7ODqudoQGWT0gP
 RltIKXSBpKhxwjOclvz785iRiWUuzEPooc/EwrGXS1L/MTnp+c/3D74snALG
 aMKgDJ4ATFYPiWrMaabuDeNTdl45yFrNoIxecLKCYSHBJASsFdkGmeMZvr+8
 +u3mfE8Bokqh769v/hXEYxhy0wDFIB4xXlZuUV5C6vAWiVjMeH161tlHWwp3
 QZMSUf0BS/2y+5vYBRVEsGl4c2HpsXsrY3ahi7PySQvr5J1PQHbAvTXJy96c
 nXeLWA+oRK1yENINdYCG+rO7q+N3fXt6di+0UHhFbH/gLqgSUg5fFs/MxsWO
 LAGqXZ/uaVwOZK5F1/T701Phx9srhJVC5kbBxBQCpoIc0wL0xAdiPMAppiUF
 DHXLF4e6jj/d2wgK8S1AfBlfRYctBpiBlCW/mmemtEu9Fae4ruS/319/fbix
 9dbT3bUHfn18Mh3kSSxmgfQ5K4bMbwOWYsaIZPB12tl6nmxiPCDtXF//6vRs
 qd+fnu2FJplX5HYpQRnZDIhtgVgSGgKgpLAXh+PhgQjEsboFV+qRm87AgsH5
 bAPfPmJaJdD20V1soU5OnxjUTOAisc0iySYgl6NbeL0YKQk+ADVJiOn3kton
 JtSc/ghtz7wiocH1/NeHR8uf7q5BzugK6P0EagFajUqA8oOPSszaZiHtIF3k
 DjwwFg6CkhqwmfANazPmz8/mM7UcddSKAXIBKMntvbMkeBao5EJu+IF6bWoJ
 2wJwafz59o74YBmZAzWZ195ZHrEcVCEhJaUDAuqey4bK0OLzr49PLnlxpO8A
 rSygx9joBWD9MQ+5L0xNwEIHD4BKr50P1qUp88hbWcIElcOX+A4VD4CL45/v
 7y8D4mNQPhefigvWMaJf7x88GwzFKMHKDohxxcAdIN5HbDHKODpPPOqBUQ+M
 emDUAyPaAwABBgD3CgKIXvcZbgAAAABJRU5ErkJggg==

## usbmode 1.0-4

=== debian/changelog ===
usbmode (1.0-4) fremantle; urgency=low

  * Fix charger_mode for kernel-power v52
  * Build only for armel

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 07 Apr 2013 16:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.7.3
 
 Package: usbmode
-Architecture: any
+Architecture: armel
 Depends: kernel-feature-usbhost-new, kernel-feature-battery,
  kernel-feature-charger, mce, mceledpattern, sudo,
  ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE = usbmode

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR="$(CURDIR)/debian/$(PACKAGE)" install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
